<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the default controller for tasks.
 *
 * @package    lnApp
 * @category   lnApp/Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
abstract class lnApp_Controller_Task extends Controller {
	public function before() {
		if (! Kohana::$is_cli)
			throw new Kohana_Exception('Cant run :method, it must be run by the CLI',array(':method'=>$this->request->action()));

		parent::before();
	}
}
?>
